blob: 611089dc78aadfa46ec21a46d1fd3f5ba05d9afa [file]
/**
* Any CSS included here will be global. The classic template
* bundles Infima by default. Infima is a CSS framework designed to
* work well for content-centric websites.
*/
/* You can override the default Infima variables here. */
:root {
--ifm-color-primary: #0f5ce2;
--ifm-color-primary-dark: #293578;
--ifm-color-primary-darker: #273b71;
--ifm-color-primary-darkest: #20315d;
--ifm-color-primary-light: #334892;
--ifm-color-primary-lighter: #355099;
--ifm-color-primary-lightest: #3c4dad;
--ifm-code-font-size: 95%;
--docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);
}
/* For readability concerns, you should choose a lighter palette in dark mode. */
[data-theme="dark"] {
--ifm-color-primary: #25c2a0;
--ifm-color-primary-dark: #21af90;
--ifm-color-primary-darker: #1fa588;
--ifm-color-primary-darkest: #1a8870;
--ifm-color-primary-light: #29d5b0;
--ifm-color-primary-lighter: #32d8b4;
--ifm-color-primary-lightest: #4fddbf;
--docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.3);
}
.header-github-link::before {
content: "";
width: 24px;
height: 24px;
display: flex;
background: url("data:image/svg+xml,%3Csvg viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12'/%3E%3C/svg%3E")
no-repeat;
}
.header-locale-dropdown > svg {
display: none;
}
.navbar__inner {
position: relative;
}
/* docs */
#__docusaurus {
cursor: pointer !important;
}
.docRoot_UBD9 {
padding: 0 24px !important;
}
.headerlink {
display: none;
}
/* Sidebar Style */
.thin-scrollbar {
padding: 0 !important;
}
.menu__link--sublist-caret:after {
transform: rotate(180deg) !important;
background-size: 1rem 1rem;
}
.theme-doc-sidebar-container {
margin-right: 20px;
border: none !important;
}
.menu__link {
font-size: 14px !important;
color: #545762 !important;
font-weight: 400;
}
.menu > .menu__list {
padding-top: 16px;
}
.menu__list-item-collapsible,
.menu__list-item {
border-radius: 8px;
}
.menu__list-item-collapsible > a,
.menu__list-item > a {
line-height: 22px;
}
.menu__link--active {
background: #0e0b3b0d;
border-radius: 8px;
font-size: 14px;
color: #292d3b !important;
line-height: 22px;
font-weight: 500;
}
.clean-btn::before {
background-size: 1rem 1rem;
}
.sidebarViewport_aRkj::-webkit-scrollbar {
display: none; /* 隐藏滚动条 */
}
.sidebarViewport_aRkj {
-ms-overflow-style: none; /* IE 和 Edge */
scrollbar-width: none; /* Firefox */
overflow-y: auto !important; /* 保持内容可滚动 */
}
/* Docs container Style */
.container {
background: #ffffff;
border-radius: 12px;
padding: 14px 32px;
font-size: 14px !important;
}
footer > .container {
background: var(--ifm-footer-background-color);
}
.markdown > h2,
.markdown > h3,
.markdown > h4,
.markdown > h5 {
color: #292d3b !important;
font-weight: 600 !important;
}
.markdown h1:first-child {
font-size: 26px !important;
color: #292d3b !important;
font-weight: 600 !important;
}
.markdown > h2 {
font-size: 20px !important;
margin-top: 28px !important;
}
.markdown > h3 {
font-size: 18px !important;
}
.markdown > h4 {
font-size: 16px !important;
}
.markdown > h5 {
font-size: 14px !important;
}
.markdown > a {
font-size: 14px !important;
color: #2e5dfe !important;
}
.breadcrumbs__item:not(:last-child):after {
content: "/";
background: none;
margin: 0 0 0 5px !important;
font-size: 14px !important;
}
.breadcrumbs__link {
background-color: transparent !important;
font-size: 12px !important;
color: #0a0a0ae1 !important;
line-height: 20px;
padding: 0;
}
.markdown p,
.markdown th,
.markdown td,
.markdown li {
font-size: 14px !important;
color: #1a1b25e0 !important;
line-height: 22px !important;
}
.table-of-contents li > a {
font-size: 14px;
color: #768191;
}
.table-of-contents > li > .table-of-contents__link--active {
font-size: 14px;
color: #2e5dfe;
font-weight: 500;
}
.prism-code {
background-color: rgb(223 224 229);
}
/* blog */
header > h1,
header > h2 {
font-size: 2rem !important;
}
/* footer style */
.footer__title,
.footer__item {
text-align: center;
}